################################
## Individual Service Upgrade ##
################################
%package sub1-domain_Feature-ISU
Summary:	Individual Service Upgrade support packages
Requires: bubblewrap
Requires: isu
Requires: %{name}-sub2-domain_Feature-ISU-System_Sensord
Requires: %{name}-sub2-domain_Feature-ISU-System_Deviced
Requires: %{name}-sub2-domain_Feature-ISU-System_Dlog
Requires: %{name}-sub2-domain_Feature-ISU-System_Resourced
Requires: %{name}-sub2-domain_Feature-ISU-Multimedia_Mused
Requires: %{name}-sub2-domain_Feature-ISU-Display_Enlightenment
Requires: %{name}-sub2-domain_Feature-ISU-Network_Connman
Requires: %{name}-sub2-domain_Feature-ISU-AppFramework_Amd
Conflicts: %{name}-sub1-domain_Feature-ISU_Headless

%description sub1-domain_Feature-ISU
Tizen block (set of packages) for supporting Individual
Service Upgrade feature
%files sub1-domain_Feature-ISU

%package sub1-domain_Feature-ISU_Headless
Summary:	Individual Service Upgrade support packages about Headless
Requires: bubblewrap
Requires: isu
Requires: %{name}-sub2-domain_Feature-ISU-System_Sensord
Requires: %{name}-sub2-domain_Feature-ISU-System_Deviced
Requires: %{name}-sub2-domain_Feature-ISU-System_Dlog
Requires: %{name}-sub2-domain_Feature-ISU-System_Resourced
Requires: %{name}-sub2-domain_Feature-ISU-Multimedia_Mused
Requires: %{name}-sub2-domain_Feature-ISU-Network_Connman
Requires: %{name}-sub2-domain_Feature-ISU-AppFramework_Amd
Conflicts: %{name}-sub1-domain_Feature-ISU

%description sub1-domain_Feature-ISU_Headless
Tizen block (set of packages) for supporting Individual about Headless
Service Upgrade feature
%files sub1-domain_Feature-ISU_Headless

%package sub2-domain_Feature-ISU-System_Sensord
Summary: Indivisual Service Upgrade Configuration Package for Sensord
Requires: sensord-isu

%description sub2-domain_Feature-ISU-System_Sensord
Tizen block for ISU configuration relevant to Sensord package
%files sub2-domain_Feature-ISU-System_Sensord

%package sub2-domain_Feature-ISU-System_Deviced
Summary: Indivisual Service Upgrade Configuration Package for Deviced
Requires: deviced-isu

%description sub2-domain_Feature-ISU-System_Deviced
Tizen block for ISU configuration relevant to Deviced package
%files sub2-domain_Feature-ISU-System_Deviced

%package sub2-domain_Feature-ISU-System_Dlog
Summary: Indivisual Service Upgrade Configuration Package for Dlog
Requires: dlog-isu

%description sub2-domain_Feature-ISU-System_Dlog
Tizen block for ISU configuration relevant to Dlog package
%files sub2-domain_Feature-ISU-System_Dlog

%package sub2-domain_Feature-ISU-System_Resourced
Summary: Indivisual Service Upgrade Configuration Package for Resourced
Requires: resourced-isu

%description sub2-domain_Feature-ISU-System_Resourced
Tizen block for ISU configuration relevant to Resourced package
%files sub2-domain_Feature-ISU-System_Resourced

%package sub2-domain_Feature-ISU-Multimedia_Mused
Summary: Indivisual Service Upgrade Configuration Package for Multimedia Mused
Requires: mused-isu

%description sub2-domain_Feature-ISU-Multimedia_Mused
Tizen block for ISU configuration relevant to Multimedia Mused package
%files sub2-domain_Feature-ISU-Multimedia_Mused

%package sub2-domain_Feature-ISU-Display_Enlightenment
Summary: Indivisual Service Upgrade Configuration Package for Display Enlightenment
Requires: enlightenment-isu

%description sub2-domain_Feature-ISU-Display_Enlightenment
Tizen block for ISU configuration relevant to Display Enlightenment package
%files sub2-domain_Feature-ISU-Display_Enlightenment

%package sub2-domain_Feature-ISU-Network_Connman
Summary: Indivisual Service Upgrade Configuration Package for Network Connman
Requires: connman-isu

%description sub2-domain_Feature-ISU-Network_Connman
Tizen block for ISU configuration relevant to Netowrk Connman package
%files sub2-domain_Feature-ISU-Network_Connman

%package sub2-domain_Feature-ISU-AppFramework_Amd
Summary: Indivisual Service Upgrade Configuration Package for AppFramework Amd
Requires: amd-isu

%description sub2-domain_Feature-ISU-AppFramework_Amd
Tizen block for ISU configuration relevant to AppFramework Amd package
%files sub2-domain_Feature-ISU-AppFramework_Amd
