# Maintainer: TBD (PM)
# You need ACK (+1) from the maintainer to be reviewed by building-blocks maintainers.

%package root-feature_App
Summary:	Tizen IoT Applications
Suggests:	%{name}-sub1-feature_App-IoT_Headed_Ref
Suggests:	%{name}-sub1-feature_App-IoT_Headless_Ref
Suggests:	%{name}-sub1-feature_App-IoT_Headed_Ref_image
%description root-feature_App
Tizen applications built at build.tizen.org and released via download.tizen.org
%files root-feature_App


%package sub1-feature_App-IoT_Headed_Ref
Summary:	IoT Headed Reference Apps
Suggests: org.tizen.volume-nui
Suggests: org.tizen.secure-erase
Suggests: org.tizen.setting-certificates
Suggests: org.tizen.setting-bluetooth
Suggests: org.tizen.setting-wifi
Suggests: org.tizen.askuser-popup-profile_iot
Suggests: my-account-profile_mobile
Suggests: cert-svc-ui
Suggests: org.tizen.voice-setting
%if %{dotnet_feature} == "on"
Suggests: org.tizen.cssettings
Suggests: org.tizen.cssetting-account
Suggests: org.tizen.cssetting-voicecontrol
Suggests: org.tizen.cssetting-tts
Suggests: org.tizen.cssetting-stt
Suggests: org.tizen.cssetting-wallpaper
Suggests: org.tizen.cssetting-accessibility
Suggests: org.tizen.MusicPlayer
Suggests: org.tizen.taskbar
Suggests: org.tizen.notifications
Suggests: org.tizen.oobe
%endif
Suggests: org.tizen.voice-control-panel
Suggests: org.tizen.default-dark-theme
Suggests: org.tizen.default-light-theme
Suggests: org.tizen.bluetooth-share-ui
Suggests: org.tizen.ScreenMirroringSink
Suggests: org.tizen.Apps
%ifnarch armv7hl
Suggests: org.tizen.videos_common
Suggests: org.tizen.image-viewer_common
Suggests: org.tizen.gallery_common
Suggests: org.tizen.share-panel_common
%ifnarch riscv64
Suggests: org.tizen.firmware-update-ui
Suggests: org.tizen.local-recovery-ui
%endif
%endif

%description sub1-feature_App-IoT_Headed_Ref
Tizen Applications for IoT Headed
%files sub1-feature_App-IoT_Headed_Ref

%package sub1-feature_App-IoT_Headless_Ref
Summary:	IoT Headless Reference Apps
%description sub1-feature_App-IoT_Headless_Ref
Tizen Applications for IoT Headless
%files sub1-feature_App-IoT_Headless_Ref

%package sub1-feature_App-IoT_Headed_Ref_image
Summary:	IoT Headed Reference Apps for headed image
Requires: org.tizen.volume-nui
Requires: org.tizen.secure-erase
Requires: org.tizen.setting-certificates
Requires: org.tizen.setting-bluetooth
Requires: org.tizen.setting-wifi
Requires: org.tizen.askuser-popup-profile_iot
Requires: my-account-profile_mobile
Requires: cert-svc-ui
Requires: org.tizen.voice-setting
%if %{dotnet_feature} == "on"
Requires: org.tizen.cssettings
Requires: org.tizen.cssetting-account
Requires: org.tizen.cssetting-voicecontrol
Requires: org.tizen.cssetting-tts
Requires: org.tizen.cssetting-stt
Requires: org.tizen.cssetting-wallpaper
Requires: org.tizen.cssetting-accessibility
Requires: org.tizen.MusicPlayer
Requires: org.tizen.taskbar
Requires: org.tizen.notifications
Requires: org.tizen.oobe
%endif
Requires: org.tizen.voice-control-panel
Requires: org.tizen.default-dark-theme
Requires: org.tizen.default-light-theme
Requires: org.tizen.bluetooth-share-ui
Requires: org.tizen.ScreenMirroringSink
Requires: org.tizen.Apps
%ifnarch armv7hl
Requires: org.tizen.videos_common
Requires: org.tizen.image-viewer_common
Requires: org.tizen.gallery_common
Requires: org.tizen.share-panel_common
%ifnarch riscv64
Requires: org.tizen.firmware-update-ui
Requires: org.tizen.local-recovery-ui
%endif
%endif


%description sub1-feature_App-IoT_Headed_Ref_image
Tizen Applications which are included in IoT Headed Image
%files sub1-feature_App-IoT_Headed_Ref_image
%posttrans sub1-feature_App-IoT_Headed_Ref_image
%tizen_feature tizen.org/feature/systemsetting.home_screen true
